Ticket #14405: readline-p3-to-p4.patch

File readline-p3-to-p4.patch, 2.1 KB (added by vbraun, 8 years ago)

for review only

  • SPKG.txt

    diff -r fdb294d1bd99 -r c751f87f0077 SPKG.txt
    a b  
    4949
    5050== Changelog ==
    5151
     52=== readline-6.2.p4 (Volker Braun, 3 April 2013) ===
     53 * Do not build static libraries
     54 * Use ncurses instead of termcap
     55
    5256=== readline-6.2.p3 (Leif Leonhardy, 3 January 2012) ===
    5357 * #11970: Support Ubuntu 11.10 by adding the library libreadline depends on
    5458   (libtermcap or a replacement) to the shared library, i.e. link against it,
  • spkg-install

    diff -r fdb294d1bd99 -r c751f87f0077 spkg-install
    a b  
    165165done
    166166
    167167echo "Configuring readline..."
    168 ./configure --prefix="$SAGE_LOCAL" --libdir="$SAGE_LOCAL/lib"
     168./configure \
     169    --prefix="$SAGE_LOCAL" \
     170    --libdir="$SAGE_LOCAL/lib" \
     171    --with-curses \
     172    --enable-shared --disable-static
    169173if [[ $? -ne 0 ]]; then
    170174    echo >&2 "Error configuring readline."
    171175    exit 1
     
    215219
    216220# Make sure that the install worked, despite whatever the
    217221# exit code of 'make' or 'make install' was:
    218 if [[ -f "$SAGE_LOCAL/lib/$DYLIB_NAME" && -f "$SAGE_LOCAL"/lib/libreadline.a ]]; then
    219     # Both the shared and the static library are present, i.e.
    220     # have successfully been (re)installed.
    221     # Fix permissions:
     222if [[ -f "$SAGE_LOCAL/lib/$DYLIB_NAME" ]]; then
    222223    echo "Fixing permissions of libraries..."
    223224    chmod 755 "$SAGE_LOCAL"/lib/libreadline.*
    224225    chmod 755 "$SAGE_LOCAL"/lib/libhistory.*
    225     # It's pretty wrong to also make the static library executable:
    226     chmod 644 "$SAGE_LOCAL"/lib/lib{readline,history}.a
    227     exit 0
    228226else
    229227    # One or both of the readline libraries are missing, i.e.
    230228    # haven't been installed.
    231     echo >&2 "Error: Readline's build claims to have finished, but files"
    232     echo >&2 "that should have been built and installed weren't."
    233     echo >&2 "(In particular, libreadline.a or $DYLIB_NAME, or both.)"
     229    echo >&2 "Error: Readline's build claims to have finished, but $DYLIB_NAME was not installed.)"
    234230    exit 1
    235231fi